%define upstream_name Horde_Autoloader
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 1
Summary:    	Horde Autoloader
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Autoloader = %{version}
Obsoletes:	horde-autoloader

%description
Autoload implementation and class loading manager for Horde.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Autoloader.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Autoloader.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Autoloader
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Autoloader/COPYING
%{peardir}/Horde/Autoloader.php
%{peardir}/Horde/Autoloader/ClassPathMapper.php
%{peardir}/Horde/Autoloader/ClassPathMapper/Application.php
%{peardir}/Horde/Autoloader/ClassPathMapper/Default.php
%{peardir}/Horde/Autoloader/ClassPathMapper/Prefix.php
%{peardir}/Horde/Autoloader/Default.php
%{peardir}/tests/Horde_Autoloader/Horde/Autoloader/AllTests.php
%{peardir}/tests/Horde_Autoloader/Horde/Autoloader/AutoloaderTest.php
%{peardir}/tests/Horde_Autoloader/Horde/Autoloader/ClassPathMapper/ApplicationTest.php
%{peardir}/tests/Horde_Autoloader/Horde/Autoloader/ClassPathMapper/DefaultTest.php
%{peardir}/tests/Horde_Autoloader/Horde/Autoloader/ClassPathMapper/PrefixTest.php
%{xmldir}/Horde_Autoloader.xml


%changelog

* Mon Nov 28 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 173270
- added %%doc docs/Horde_Autoloader/COPYING
- upgrade to 1.0.1
  changed -License: from GPLv2 to LGPL-2.1
- changed Provides: php-pear-Horde_Autoloader to Provides:      	php-pear-Horde_Autoloader = %%{version}
- imported package php-pear-Horde_Autoloader

